Bug 93689 - EDITING: Paste Special DDE link: Pastes selected AND ALL PREVIOUS text from source file
Summary: EDITING: Paste Special DDE link: Pastes selected AND ALL PREVIOUS text from s...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2015-08-26 18:33 UTC by dhr.jak
Modified: 2018-10-27 02:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
small part of formatted problem file for testing (12.50 KB, application/vnd.oasis.opendocument.text)
2016-10-20 22:14 UTC, dhr.jak
Details
small part of formatted problem file for testing (12.50 KB, application/vnd.oasis.opendocument.text)
2016-10-20 22:15 UTC, dhr.jak
Details
screenshot of what i selected and what came after the paste dde link (43.31 KB, image/png)
2016-10-21 11:37 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dhr.jak 2015-08-26 18:33:33 UTC
I can't create a dde link between two -Writer- documents.

Reproduce:
Create untitled 1.odf or untitled 1.xdoc file in writer.
Type aaa on first line.
Save the file on desktop.
Select "aaa" and hit ctrl+c.

Then create 'untitled 2.odf' or 'untitled 2.xdoc' file in writer.
Select Edit/Paste Special/DDE link.
A link is created, but there is no result: "aaa" doesn't appear in file 2.

Also changes in 'untitled 1.odf' or 'untitled 1.xdoc' are not reflected in file 2.

I have had this bug since I started with LO under Win 7, and it persisted till now: LO  5.0.0.5 / Win 10. Creating a new user profile didn't solve it.
Comment 1 raal 2015-09-07 19:56:14 UTC
I can not confirm with Version: 5.1.0.0.alpha1+
Build ID: 50f2c712c46c66264279ab3b61888e491a4d8dca
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-04_06:07:29

I can not confirm with Version: 5.1.0.0.alpha1+ (x64)
Build ID: fdafa5302df26df4f147b0d2efb6064389a1330c
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-08-23_00:19:44, win7

Verze: 5.0.1.2 (x64)
ID sestavení: 81898c9f5c0d43f3473ba111d7b351050be20261,win 7

Seems to be fixed. Tested .odt
Please test version 5.0.1.2, http://www.libreoffice.org/download/libreoffice-fresh/
Comment 2 dhr.jak 2015-10-24 15:40:14 UTC
This is indeed fixed in version 5.0.1.2.

Thank you very much developers!!
Comment 3 raal 2015-10-24 16:28:53 UTC
Closing the bug.
Comment 4 dhr.jak 2015-12-11 17:10:51 UTC
I jumped too early: Now I CAN make a dde-link to an other writer.odt BUT:

In stead of pasting the SELECTED text from the sourcefile, it pastes the selected, AND ALL TEXT THAT PRECEDES IT into the destination file and creates a link to the source.

Hope this can still be fixed.

Thanks for all the hard work!
Comment 5 Yousuf Philips (jay) (retired) 2016-10-20 03:37:43 UTC
(In reply to dhr.jak from comment #4)
> In stead of pasting the SELECTED text from the sourcefile, it pastes the
> selected, AND ALL TEXT THAT PRECEDES IT into the destination file and
> creates a link to the source.

I just tested this and i dont see this issue in master. Can you test a more recent version of libreoffice to confirm that it is resolved on your side as well.

Version: 5.3.0.0.alpha0+
Build ID: e64ea98801d20e5024da900a0ac8faaf565f4bf3
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-18_04:29:35
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 dhr.jak 2016-10-20 22:14:26 UTC
Created attachment 128110 [details]
small part of formatted problem file for testing
Comment 7 dhr.jak 2016-10-20 22:15:56 UTC
Created attachment 128111 [details]
small part of formatted problem file for testing

Hello Yousuf, thanks for investigating this bug after al this time!

At first I thought that the issue had been solved. When I tested it with a NEW SIMPLE file in version : 5.1.5.2 it works as it should!

HOWEVER when I used my ancient address book file "Adrboek.odt" that I used already under Word for Windows, the bug is still there.

My problem is that I used to make A SELECTION from the records in my address book, and paste them via DDE link in another much smaller document that was formatted likewise.

This used to work in MS Word, but unfortunately stopped when I switched to LibreOffice.


To test for yourself I attach part of my "Adrboek.odt. When you select the "Apotheek"-part, and try to DDE special paste it in a new document, you will get the "Alarm"-part as well!


Hope this helps and clearifies, and thanks again for your research.

Regards,

Ton Klein
Comment 8 Yousuf Philips (jay) (retired) 2016-10-21 11:32:56 UTC
Hi Ton,

Yes with attachment 128111 [details], if i copy multiple lines, it pastes it as a section dde link and brings in more than what was originally selected.
Comment 9 Yousuf Philips (jay) (retired) 2016-10-21 11:37:26 UTC
Created attachment 128119 [details]
screenshot of what i selected and what came after the paste dde link
Comment 10 QA Administrators 2017-10-23 13:59:47 UTC Comment hidden (obsolete)
Comment 11 dhr.jak 2017-10-25 22:37:10 UTC
I am afraid the bug as described still exists:
When I copy part of the testfile "attachment 128110 [details]", and in a new document select Paste/Special/CreateDDElink, it pastes the selected text portion, BUT ALSO ALL TEXT THAT PRECEEDS IT.

I have also retested with a NEWLY CREATED file that reads:
a
b

Now when I select "b" and in a new file choose pastespecial/ddelink, it ONLY PASTES b, which is right!

The problem therefore must lie in the testfile "attachment 128110 [details]", which is a very old Microsoft .doc file that I IMPORTED in LO. There must be something in the original layout of the .doc file (probably the columns) that isn't translated in the right way into LO. 

Hope you can sort it out. Greetings Ton Klein

Versie: 5.3.6.1  (x64)
Build ID: 686f202eff87ef707079aeb7f485847613344eb7
CPU Threads: 8; Versie besturingssysteem:Windows 6.19; UI Render: standaard; Layout-Engine: nieuw; 
Locale: nl-NL (nl_NL); Calc: group
Comment 12 dhr.jak 2017-10-26 00:10:27 UTC
Some more experimenting made it clear to me that the problem doesn't seem to be a faulty translation of the old .doc file. The bug can be reproduced in a NEWLY created file too!


This bug appears when in the copied (bookmarked) text of the source file, a SHIFT+ENTER IS INCLUDED. THEN in the destination file the DDE link is corrupted and ALSO includes ALL PRECEDING TEXT in the source file!

Create a new file with contents:
A<ENTER> ("new paragraph")
B<SHIFT+ENTER> ("new line, not new paragraph")
c.

Now if you select ONLY:
"B<SHIFT+ENTER>
c."
and copy that part to the clipboard, and paste it in a new file via PasteSpecial/DDElink, you will erroneously also get the A<ENTER> part and sometimes also some more rubbish (piping character or tables or...).

I hope you can fix this, as I really need the <SHIFT+ENTER>'s!

Thanks for your good works!
Comment 13 QA Administrators 2018-10-27 02:55:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug